> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply filters to search for specific accounting entry receipts.



## OpenAPI

````yaml post /v1/accounting-entries/receipts:search
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v1/accounting-entries/receipts:search:
    post:
      tags:
        - accounting-entries
      summary: Apply filters to search for specific accounting entry receipts.
      operationId: searchReceiptsByPostV6
      parameters:
        - name: company_id
          in: query
          description: >-
            Return only receipts of the given Company Id. Required if
            `partner_id` or `organization_id` is not provided.
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
        - name: partner_id
          in: query
          description: >-
            Return only receipts of the specific companies associated with the
            given Partner ID. Required if `company_id` or `organization_id` is
            not provided.
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
        - name: organization_id
          in: query
          description: >-
            Return only receipts of the specific companies associated with the
            given Organization ID. Required if `company_id` or `partner_id` is
            not provided.
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
        - name: before
          in: query
          description: >-
            Lower bound of the page of data to return (cannot be used together
            with [after])
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Upper bound of the page of data to return (cannot be used together
            with [before])
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            maximum: 100
            minimum: 1
            type: integer
            description: >-
              The maximum amount of items to return. Never returns more than 100
              items
            format: int32
            default: 10
        - name: sorting_order
          in: query
          description: >-
            The order to sort the results by. Must be the same length as
            [sortingKeys]; one order per key.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PageOrder'
        - name: sorting_keys
          in: query
          description: The keys to sort the results by
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ReceiptsSortingKeys'
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/ReceiptSearchRequest'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/CursorPaginatedResponseReceiptModel'
components:
  schemas:
    PageOrder:
      type: string
      enum:
        - ASC
        - ASC_NULLS_FIRST
        - ASC_NULLS_LAST
        - DESC
        - DESC_NULLS_FIRST
        - DESC_NULLS_LAST
    ReceiptsSortingKeys:
      type: string
      enum:
        - createdAt
        - id
        - size
    ReceiptSearchRequest:
      required:
        - includeDeleted
      type: object
      properties:
        accountingEntryIds:
          type: array
          description: 'Only return receipts for the given accounting entry ID. '
          items:
            type: string
            description: 'Only return receipts for the given accounting entry ID. '
            format: uuid
        employeeIds:
          type: array
          description: 'Only return receipts for the given Employee ID. '
          items:
            type: string
            description: 'Only return receipts for the given Employee ID. '
            format: uuid
        fileType:
          $ref: '#/components/schemas/ReceiptFileType'
        includeDeleted:
          type: boolean
          description: Include deleted receipts
          default: false
        mimeType:
          type: array
          description: >-
            Only return receipts with the given mime type. Useful for fetching a
            list of receipts uploaded with particular mime types.
          items:
            $ref: '#/components/schemas/ReceiptMimeType'
        source:
          type: array
          description: >-
            Only return receipts that are uploaded from the specific source.
            Useful for fetching a list of receipts uploaded via particular
            sources.
          items:
            $ref: '#/components/schemas/ReceiptSource'
    CursorPaginatedResponseReceiptModel:
      required:
        - data
        - pagination
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ReceiptModel'
        pagination:
          $ref: '#/components/schemas/CursorPageInfo'
    ReceiptFileType:
      type: string
      description: |
        `ORIGINAL`: The original file as it was uploaded.
        `THUMBNAIL`: Representation of the original file in a small image.
        `PREVIEW`: Display of the original file in a concise format.
      enum:
        - EMBED
        - ORIGINAL
        - THUMBNAIL
        - PREVIEW
    ReceiptMimeType:
      type: string
      description: |
        `unknown`: The MIME type of the file is unknown.
        `application/pdf`: The receipt file is a PDF file.
        `application/postscript`: The receipt file is a PostScript file.
        `application/xml`: The receipt file is a xml e-invoice.
        `image/jpeg`: The receipt file is a JPEG image.
        `image/png`: The receipt file is a PNG image.
        `image/heic`: The receipt file is a HEIC image.
        `image/heif`: The receipt file is a HEIF image.
        `image/gif`: The receipt file is a GIF image.
        `text/xml`: The receipt file is a xml e-invoice.
      enum:
        - unknown
        - application/pdf
        - application/postscript
        - application/xml
        - image/jpeg
        - image/png
        - image/heic
        - image/heif
        - image/gif
        - text/xml
    ReceiptSource:
      type: string
      description: >
        `APP_SHARE`: The receipt was uploaded via the share to Pleo mobile app
        function.

        `BOLT`: The receipt was retrieved from Bolt mobile app.

        `CAMERA`: The receipt was uploaded via the camera in the Pleo mobile
        app.

        `CASHBACK`: The receipt was generated by the Cashback feature.

        `EMAIL_FETCHING`: The receipt was automatically fetched via Pleo Fetch.

        `EMAIL_FETCHING_BATCHED`: The receipt was automatically fetch via Pleo
        Fetch in a batch.

        `EMAIL_FORWARDING`: The receipt was forwarded to Pleo via email.

        `GENERATED_RECEIPT`: The receipt was generated by internal systems.

        `LOST_RECEIPT`: The receipt was generated by the Lost Receipt feature.

        `ROGER`: The receipt was automatically fetched via the Roger integration

        `STOREBOX`: The receipt was uploaded via the Storebox integration.

        `STRIPE`: The receipt was uploaded via the Stripe integration.

        `TRAVELPERK`: The receipt was uploaded via the TravelPerk integration.

        `USER`: The receipt was uploaded by the user.
      enum:
        - APP_SHARE
        - BOLT
        - CAMERA
        - CASHBACK
        - EMAIL_FETCHING
        - EMAIL_FETCHING_BATCHED
        - EMAIL_FORWARDING
        - GENERATED_RECEIPT
        - LOST_RECEIPT
        - ROGER
        - STOREBOX
        - STRIPE
        - TRAVELPERK
        - USER
    ReceiptModel:
      required:
        - accountingEntryId
        - createdAt
        - fileType
        - id
        - mimeType
        - sizeInBytes
        - source
        - url
      type: object
      properties:
        accountingEntryId:
          type: string
          description: The ID of accounting entry that this receipt belongs to.
          format: uuid
        createdAt:
          type: string
          description: The time when the receipt was uploaded.
          format: date-time
        fileType:
          type: string
          description: |
            This can be one of `ReceiptFileType` values.

            `ORIGINAL`: The original file as it was uploaded.
            `THUMBNAIL`: Representation of the original file in a small image.
            `PREVIEW`: Display of the original file in a concise format.
          example: EMBED
        id:
          type: string
          description: The ID of the receipt.
          format: uuid
        mimeType:
          type: string
          description: |
            This can be one of `ReceiptMimeType` values.

            `unknown`: The MIME type of the file is unknown.
            `application/pdf`: The receipt file is a PDF file.
            `application/postscript`: The receipt file is a PostScript file.
            `application/xml`: The receipt file is a xml e-invoice.
            `image/jpeg`: The receipt file is a JPEG image.
            `image/png`: The receipt file is a PNG image.
            `image/heic`: The receipt file is a HEIC image.
            `image/heif`: The receipt file is a HEIF image.
            `image/gif`: The receipt file is a GIF image.
            `text/xml`: The receipt file is a xml e-invoice.
          example: unknown
        ocrDocumentId:
          type: string
          description: The ID of the OCR document that might be linked to this receipt.
          format: uuid
        sizeInBytes:
          type: integer
          description: The size of the file in bytes.
          format: int32
        source:
          type: string
          description: >
            This can be one of `ReceiptSource` values.


            `APP_SHARE`: The receipt was uploaded via the share to Pleo mobile
            app function.

            `BOLT`: The receipt was retrieved from Bolt mobile app.

            `CAMERA`: The receipt was uploaded via the camera in the Pleo mobile
            app.

            `CASHBACK`: The receipt was generated by the Cashback feature.

            `EMAIL_FETCHING`: The receipt was automatically fetched via Pleo
            Fetch.

            `EMAIL_FETCHING_BATCHED`: The receipt was automatically fetch via
            Pleo Fetch in a batch.

            `EMAIL_FORWARDING`: The receipt was forwarded to Pleo via email.

            `GENERATED_RECEIPT`: The receipt was generated by internal systems.

            `LOST_RECEIPT`: The receipt was generated by the Lost Receipt
            feature.

            `ROGER`: The receipt was automatically fetched via the Roger
            integration

            `STOREBOX`: The receipt was uploaded via the Storebox integration.

            `STRIPE`: The receipt was uploaded via the Stripe integration.

            `TRAVELPERK`: The receipt was uploaded via the TravelPerk
            integration.

            `USER`: The receipt was uploaded by the user.
          example: APP_SHARE
        url:
          type: string
          description: >-
            A URL with an expiry period of 24 hours for accessing the receipt
            file.
          format: url
    CursorPageInfo:
      required:
        - currentRequestPagination
        - hasNextPage
        - hasPreviousPage
      type: object
      properties:
        currentRequestPagination:
          $ref: '#/components/schemas/CursorPageCurrentRequestInfo'
        endCursor:
          type: string
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        total:
          type: integer
          format: int64
    CursorPageCurrentRequestInfo:
      required:
        - parameters
      type: object
      properties:
        after:
          type: string
        before:
          type: string
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        sortingKeys:
          type: array
          items:
            type: string
        sortingOrder:
          type: array
          items:
            $ref: '#/components/schemas/PageOrder'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````